import logging
from jbtutils_selenium.drivers.edge import get_actions


def hold_down_first(key_hold, second_key):
    logging.debug(f'Executing {key_hold} + {second_key}')
    actions = get_actions()
    actions.key_down(key_hold)
    actions.send_keys(second_key)
    actions.key_up(key_hold)
    actions.perform()

def key_series(series):
    logging.debug(f'Executing sequentially: {series}')
    actions = get_actions()
    for key in series:
        actions.send_keys(key)
    actions.perform()
